Skip to main content
PATCH
/
api
/
v1
/
calendars
/
{calendarId}
/
connections
/
{connectionId}
Update a calendar connection
curl --request PATCH \
  --url https://prod.featherhq.com/api/v1/calendars/{calendarId}/connections/{connectionId} \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "externalCalendarId": "<string>"
}
'
import requests

url = "https://prod.featherhq.com/api/v1/calendars/{calendarId}/connections/{connectionId}"

payload = { "externalCalendarId": "<string>" }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({externalCalendarId: '<string>'})
};

fetch('https://prod.featherhq.com/api/v1/calendars/{calendarId}/connections/{connectionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "calendarId": "<string>",
  "accountEmail": "<string>",
  "externalCalendarId": "<string>",
  "invalid": true,
  "createdAt": "<string>",
  "updatedAt": "<string>"
}
{
"status": 400,
"message": "Bad request",
"code": "BAD_REQUEST",
"success": false
}
{
"status": 404,
"message": "Not found",
"code": "NOT_FOUND",
"success": false
}
{
"status": 500,
"message": "Internal server error",
"code": "INTERNAL_SERVER_ERROR",
"success": false
}

Authorizations

X-API-Key
string
header
required

Path Parameters

calendarId
string
required
connectionId
string
required

Body

application/json
externalCalendarId
string
required

Response

Connection updated

id
string
required
calendarId
string
required
provider
enum<string>
required
Available options:
GOOGLE,
OUTLOOK
accountEmail
string
required
externalCalendarId
string
required
invalid
boolean
required
createdAt
string
required
updatedAt
string
required